Jump to content

Back for another playthrough


Recommended Posts

Guest guest

@Wisp please check this issue 

, so other modders don't have to provide a workaround - I mean, if you fix the issue directly on questpack, that is.

Link to post
4 hours ago, Caedwyr said:

Oddly enough, the mod install summary only cared about the base component and not the missing banter component warnings.

This is not a critical failure, aka the match is not made, doesn't make the mod uninstallable.

Wisp has been last seen in PPG 25th of june, so you might want to be contacting him there. Say, in the Questpacks own forum. With full info and all that.

Link to post

On the DS/QP issue: I'll look into it, but I'm moderately certain this is a DS issue, rather than a QP issue, meaning you'll probably get it with all mods that use the relevant DS code (the DS included in QP is not modified from "main-line" in this regard). If so, you are probably getting it with QP because QP is the first DS-using mod in your stack. Maybe. As I said, I'll have a look.

Link to post

@Wisp: you might want to update to the version of DS in SCSv33. It's somewhat newer than the Ardanis one that QP, is using, and I think there was a problem like the one described here that I fixed in the update.

Link to post
16 hours ago, Caedwyr said:

I'm working through another attempt to install everything.  This time my first problem occurred for the Wings mod.  The first warning happened in the main component.

Second warning in the "restore missing banters" component.

Oddly enough, the mod install summary only cared about the base component and not the missing banter component warnings.

 

SETUP-WINGS.DEBUG 70.41 kB · 0 downloads

@Skitia over at the Beamdog forums came through with the diagnosis and solution in this post

https://forums.beamdog.com/discussion/comment/1137599/#Comment_1137599

Quote

I couldn't replicate your second warning. That said I believe it still installs the necessary data and nothing will really break. That is why it doesn't say "Installed with Warnings"

The first warning is actually a bug. Intended behavior doesn't work. This doesn't break the game, but some content and behaviors of the mod aren't applied, so things are missing.

My correction isn't the most elegant, but it gets it installed correctly so you get the content that is supposed to be added from the one file, so attached is Wings Version 0.91C.

I've attached Skitia's fix to this post as well so hopefully others who might be following my journey can grab the fix as well if they can't/won't go to the Beamdog forums post.

Wings-master0.91C.zip

Link to post

For some reason, Isra (https://github.com/SpellholdStudios/Isra_NPC/releases) is not detecting Valerie being installed before Isra and so it is skipping the crossmod content install for these mods.

/* =============================== *
 *  Valerie/Isra crossmod content  *
 * =============================== */
BEGIN @2										/* Valerie/Isra crossmod content */
DESIGNATED 1 LABEL ~isra_valerie_crossmod_content~
REQUIRE_COMPONENT ~isra.tp2~ ~0~ @12			/* Please install Isra NPC for BG main component before additional content. */
REQUIRE_FILE ~T2VALJ.dlg~ @13

/* REQUIRE_COMPONENT ~valerie.tp2~ ~0~ @13			/* You do not appear to have Valerie installed. */
*/
  
COMPILE EVALUATE_BUFFER ~isra/crossmod/valerie.d~

It is detecting Gavin being installed and installs the Gavin crossmod content correctly.

I also checked my override folder and T2VALJ.dlg was there as expected, so I'm not sure why Isra is failing to detect it.

@Gwendolyne

Link to post
54 minutes ago, Caedwyr said:

REQUIRE_COMPONENT ~isra.tp2~ ~0~ @12

This is no longer true, as the file is/has: setup-isra.tp2 ...

Link to post
Posted (edited)
5 minutes ago, Jarno Mikkola said:

This is no longer true, as the file is/has: setup-isra.tp2 ...

Good catch. I read it over several times but somehow missed that.  Thank you.

Edit: Actually, looking at the folder it has isra.tp2, not setup-isra.tp2.

 

The following does work.

/* ============================= *
 *  Gavin/Isra crossmod content  *
 * ============================= */
BEGIN @3										/* Gavin/Isra crossmod content */
DESIGNATED 2 LABEL ~isra_gavin_crossmod_content~
REQUIRE_COMPONENT ~isra.tp2~ ~0~ @12			/* Please install Isra NPC for BG main component before additional content. */
REQUIRE_COMPONENT ~gavin.tp2~ ~0~ @14			/* You do not appear to have Gavin installed. */
  
COMPILE EVALUATE_BUFFER ~isra/crossmod/gavin.d~
EXTEND_BOTTOM ~b!gavin.bcs~ ~isra/crossmod/gavin.baf~

I'm not sure why Isra uses the check for the component Gavin.tp2 and not Valerie.tp2.  I can change that check to what was commented out, but I assume the change to checking for the file was done for a reason.

Edited by Caedwyr
Link to post

Sorry... I missed the fact that the other OS files are also present... not just the Windows one... leading me to believe the one not having the dot-extension was the .tp2 file...

Link to post

The Isra/Valerie problem appears to be due to Valerie not being completely compatible with EET.  The mod apparently works okay if you install it before installing EET, but for some reason the Isra mod will not detect the presence of the Valerie mod properly and patch things accordingly.  Since I already have so many NPC mods, I've decided to just remove Valerie at this time.  I may add it back if it gets updated at some point.

Link to post

More progress.  I added a basic soundset to Pai'na one from a NWN character I think.  The voice matched the written style quite closely.  Finding a soundset for Varahoon is proving more difficult .

Link to post
21 hours ago, Caedwyr said:

More progress.  I added a basic soundset to Pai'na one from a NWN character I think.  The voice matched the written style quite closely.  Finding a soundset for Varahoon is proving more difficult .

Basic Varshoon soundset added.  NWN to the rescue again.

Link to post
Guest guest

Hello,
can you publish the various soundset you've chosen and even hint at them to mod authors?

Link to post
Posted (edited)
23 hours ago, Guest guest said:

Hello,
can you publish the various soundset you've chosen and even hint at them to mod authors?

The one's I've selected are *okay* but that's about all. The Pai'na and now Ninde ones are okay substitutions, but the Varshoon one is very much me finding something that vaguely fits and calling it good enough.

If you want to add these to your install extract these files to your Paina mod directory.

For Ninde, you will want to copy the voice folder to your ninde/audio folder, the setup.tra to your ninde/translations/english folder, and main_component.tpa to your ninde/lib folder overwriting files as prompted.

For Ninde I know that Kaeloree only wanted to add a voiceset if they found the right person to record the lines and that hasn't happened since 2013.

For Pai'na @Artemius I may or may not be interested.  The voiceset I've added for my personal use isn't quite right, but seemed to capture the spirit of the character or a plausible interpretation close enough for my personal use but I don't know if it matches up to the caliber they as the mod author want to aim for.

 

Paina.zip voice.zip

setup.tra main_component.tpa

Edited by Caedwyr
Link to post
Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...